## org.jgroups.blocks
Interface VoteResponseProcessor

All Known Implementing Classes:
  DistributedLockManager, VotingAdapter

    public interface VoteResponseProcessor

VoteResultProcessor Applications that use the VotingAdapter and/or TwoPhaseVotingAdapter can pass an implementation of this down the vote calls, to intercept processing of the VoteResults returned by other nodes. See the source of `DistributedLockManager` for an example implementation.

Author:
  Robert Schaffar-Taurok (robert@fusion.at)

Method Summary
`boolean` `processResponses(RspList responses, int consensusType, java.lang.Object decree)` Processes the responses returned by the other nodes.

Method Detail

### processResponses

    boolean processResponses(RspList responses,
                             int consensusType,
                             java.lang.Object decree)
                             throws ChannelException

  Processes the responses returned by the other nodes.

  Parameters:
    `responses` - The responses
    `consensusType` - The consensusType of the vote
    `decree` - The vote decree
  Returns:
    boolean
  Throws:
    `ChannelException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.